Package com.smartgwt.client.types

# Enum AnimationEffect

java.lang.Object
java.lang.Enum<AnimationEffect>
com.smartgwt.client.types.AnimationEffect

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AnimationEffect>`, `Constable`

public enum AnimationEffect extends Enum<AnimationEffect> implements ValueEnum
String specifying effect to apply during an animated show or hide.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FADE`
  widget's opacity smoothly fades into or out of view
  `FLY`
  widget moves into position from offscreen
  `SLIDE`
  content slides into or out of view as the widget grows or shrinks
  `WIPE`
  content is revealed or wiped as the widget grows or shrinks

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AnimationEffect`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AnimationEffect[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SLIDE

    public static final AnimationEffect SLIDE
    content slides into or out of view as the widget grows or shrinks

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "slide".

  - ### WIPE

    public static final AnimationEffect WIPE
    content is revealed or wiped as the widget grows or shrinks

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "wipe".

  - ### FADE

    public static final AnimationEffect FADE
    widget's opacity smoothly fades into or out of view

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fade".

  - ### FLY

    public static final AnimationEffect FLY
    widget moves into position from offscreen

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fly".

- ## Method Details

  - ### values

    public static AnimationEffect[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AnimationEffect valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`